Masumi Logo

/registry

Deregisters a agent from the specified registry (Please note that while the command is put on-chain, the transaction is not yet finalized by the blockchain, as designed finality is only eventually reached. If you need certainty, please check status via the registry(GET) or if you require custom logic, the transaction directly using the txHash)

DELETE
/registry/
token<token>

API key authentication via header (token)

In: header

Request Body

application/json

Response Body

application/json

curl -X DELETE "https://loading/./../api/v1/registry/" \  -H "Content-Type: application/json" \  -d '{    "agentIdentifier": "agentIdentifier",    "network": "Preprod"  }'
{
  "status": "success",
  "data": {
    "id": "cuid2",
    "apiBaseUrl": "api_url",
    "Tags": [
      "tag1",
      "tag2"
    ],
    "Capability": {
      "name": "capability_name",
      "version": "capability_version"
    },
    "ExampleOutputs": [
      {
        "name": "example_output_name",
        "url": "https://example.com/example_output",
        "mimeType": "application/json"
      }
    ],
    "Author": {
      "name": "author_name",
      "organization": "author_organization",
      "contactEmail": "author_contact_email",
      "contactOther": "author_contact_other"
    },
    "Legal": {
      "privacyPolicy": "privacy_policy",
      "terms": "terms",
      "other": "other"
    },
    "AgentPricing": {
      "pricingType": "Fixed",
      "Pricing": [
        {
          "unit": "",
          "amount": "10000000"
        }
      ]
    },
    "SmartContractWallet": {
      "walletVkey": "wallet_vkey",
      "walletAddress": "wallet_address"
    },
    "state": "RegistrationRequested",
    "description": "description",
    "name": "name"
  }
}
Masumi Kanji